package com.cool.store.enums.tp;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * <p>
 * 十二分制-缴费状态 枚举类
 * </p>
 *
 * @author wangff
 * @since 2025/11/5
 */
@Getter
@AllArgsConstructor
public enum TpPayStatusEnum {

    UNPAID(0, "未缴费"),
    NO_NEED_PAY(1, "无需缴费"),
    PAID(2, "已缴费")
    ;

    private final Integer status;

    private final String msg;

    public static String getMsgByStatus(Integer status) {
        for (TpPayStatusEnum value : values()) {
            if (value.status.equals(status)) {
                return value.msg;
            }
        }
        return null;
    }
}
